using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace UnityConfigurationTree
{
    public class RelationShip
    {
        public string Name;
        public string[] Path;
        public RelationShip[] Children;

        public static RelationShip Load(string path)
        {
            string json = File.ReadAllText(path);

            return Newtonsoft.Json.JsonConvert.DeserializeObject<RelationShip>(json);
        }
    }
}
